<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();
use Claromentis\Core\Security\SecurityContext;




interface GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject();
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context);
    
    
    
    
    public function GetView();
}